%global dpver 20091001

Summary: Multiplayer, deathmatch oriented first person shooter
Name: nexuiz
Version: 2.5.2
Release: 2.1%{?dist}
License: GPLv2+
Group: Amusements/Games
URL: http://www.nexuiz.com/
# Source is custom, obtained with :
# wget http://downloads.sourceforge.net/nexuiz/nexuiz-252.zip
# unzip -j nexuiz-251.zip Nexuiz/sources/enginesource20091001.zip
Source: enginesource%{dpver}.zip
Source1: %{name}.desktop
Source10: darkplaces-quake.sh
Source11: darkplaces-quake.autodlrc
Source12: darkplaces-quake.desktop
Patch0: nexuiz-2.5.2-watercrash.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# For the .ico extraction
BuildRequires: ImageMagick, file
BuildRequires: libX11-devel, alsa-lib-devel, desktop-file-utils
BuildRequires: mesa-libGL-devel libXext-devel libXxf86dga-devel
BuildRequires: libXxf86vm-devel SDL-devel libXpm-devel
Requires: nexuiz-data = %{version}
Requires: darkplaces = %{dpver}-%{release}
#Requires: opengl-games-utils

%description
Nexuiz is a fast-paced, chaotic, and intense multiplayer first person shooter, 
focused on providing basic, old style deathmatches.

%package server
Group: Amusements/Games
Summary: Dedicated server for the Nexuiz first person shooter
Requires: nexuiz-data = %{version}
Requires: darkplaces-server = %{dpver}-%{release}

%description server
Nexuiz is a fast-paced, chaotic, and intense multiplayer first person shooter, 
focused on providing basic, old style deathmatches.

This is the nexuiz dedicated server required to host network games.

%package -n darkplaces
Summary: Modified Quake engine
Version: %{dpver}
Group: Amusements/Games
# This is necessary as these libraries are loaded during runtime
# and therefore it isn't picked up by RPM during build
Requires: zlib libvorbis libjpeg curl

%description -n darkplaces
DarkPlaces is a modified Quake engine.

%package -n darkplaces-server
Summary: Quake engine server
Version: %{dpver}
Group: Amusements/Games
# This is necessary as these libraries are loaded during runtime
# and therefore it isn't picked up by RPM during build
Requires: zlib curl

%description -n darkplaces-server
DarkPlaces Quake engine server.

%package -n darkplaces-quake
Summary: Multiplayer, deathmatch oriented first person shooter
Version: %{dpver}
Group: Amusements/Games
Requires: autodownloader
#Requires: opengl-games-utils
Requires: darkplaces = %{dpver}-%{release}

%description -n darkplaces-quake
Rage through levels of sheer terror and fully immersive sound and
lighting.  Arm yourself against the cannibalistic Ogre, fiendish Vore
and indestructible Schambler using letal nails, fierce Thunderbolts
and abominable Rocket and Grenade Launchers.

%package -n darkplaces-quake-server
Summary: Dedicated DarkPlaces Quake server
Version: %{dpver}
Group: Amusements/Games
Requires: darkplaces-server = %{dpver}-%{release}

%description -n darkplaces-quake-server
DarkPlaces server required for hosting multiplayer network Quake games.


%prep
%setup -q -n darkplaces
%{__sed} -i 's/\r//' darkplaces.txt
%{__sed} -i 's,/usr/X11R6/,/usr/,g' makefile makefile.inc

%patch0 -p0

%build
export DP_FS_BASEDIR=%{_datadir}/nexuiz
# no %{?_smp_mflags}, parallel build issues as of 2.5.1 (#502271)
%{__make} nexuiz OPTIM_RELEASE="$RPM_OPT_FLAGS" STRIP=:
convert nexuiz.xpm nexuiz.png


%install
%{__rm} -rf %{buildroot}

# Install the main programs
%{__mkdir_p} %{buildroot}%{_bindir}
%{__install} -m 0755 nexuiz-glx \
        %{buildroot}%{_bindir}/nexuiz-glx
%{__install} -m 0755 nexuiz-sdl \
        %{buildroot}%{_bindir}/nexuiz-sdl
%{__install} -m 0755 nexuiz-dedicated \
        %{buildroot}%{_bindir}/nexuiz-dedicated
for i in glx sdl dedicated ; do
        ln -s nexuiz-$i %{buildroot}%{_bindir}/darkplaces-$i
done

# Install the desktop files
%{__mkdir_p} %{buildroot}%{_datadir}/applications
desktop-file-install \
    --vendor=fedora \
    --dir %{buildroot}%{_datadir}/applications \
    %{SOURCE1}
desktop-file-install \
    --vendor=fedora \
    --dir %{buildroot}%{_datadir}/applications \
    %{SOURCE12}

# Install all png files previously extracted from the .ico file
for file in nexuiz*.png*; do
    res="`file ${file} | tr  -d ' ' | cut -d ',' -f 2`"
    %{__install} -D -m 0644 ${file} \
        %{buildroot}%{_datadir}/icons/hicolor/${res}/apps/nexuiz.png
done
for s in 16 24 32 48 64 72 ; do
    %{__install} -Dpm 0644 darkplaces${s}x${s}.png \
        %{buildroot}%{_datadir}/icons/hicolor/${s}x${s}/apps/darkplaces.png
done

#ln -s opengl-game-wrapper.sh %{buildroot}%{_bindir}/%{name}-sdl-wrapper
#ln -s opengl-game-wrapper.sh \
#    %{buildroot}%{_bindir}/darkplaces-quake-sdl-wrapper

for i in glx sdl dedicated ; do
    %{__install} -Dpm 755 %{SOURCE10} %{buildroot}%{_bindir}/darkplaces-quake-$i
done

%{__install} -Dpm 644 %{SOURCE11} \
    %{buildroot}%{_datadir}/darkplaces/quake.autodlrc


%clean
%{__rm} -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%post -n darkplaces
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun -n darkplaces
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans -n darkplaces
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%defattr(-,root,root,-)
#%{_bindir}/nexuiz-sdl-wrapper
%{_datadir}/icons/hicolor/*/apps/nexuiz.png
%{_datadir}/applications/*%{name}.desktop

%files server
%defattr(-,root,root,-)

%files -n darkplaces
%defattr(-,root,root,-)
%doc COPYING darkplaces.txt
%{_bindir}/darkplaces-glx
%{_bindir}/darkplaces-sdl
%{_bindir}/nexuiz-glx
%{_bindir}/nexuiz-sdl
%{_datadir}/icons/hicolor/*/apps/darkplaces.png

%files -n darkplaces-server
%defattr(-,root,root,-)
%doc COPYING darkplaces.txt
%{_bindir}/darkplaces-dedicated
%{_bindir}/nexuiz-dedicated

%files -n darkplaces-quake
%defattr(-,root,root,-)
%{_bindir}/darkplaces-quake-glx
%{_bindir}/darkplaces-quake-sdl
#%{_bindir}/darkplaces-quake-sdl-wrapper
%{_datadir}/darkplaces/
%{_datadir}/applications/*darkplaces-quake.desktop

%files -n darkplaces-quake-server
%defattr(-,root,root,-)
%doc COPYING darkplaces.txt
%{_bindir}/darkplaces-quake-dedicated


%changelog
* Fri Dec 10 2010 Jon Ciesla <limb@jcomserv.net> - 2.5.2-2.1
- Cleared out opengl-games-utils usage.

* Wed Dec 16 2009 Jon Ciesla <limb@jcomserv.net> - 2.5.2-2
- patch to fix crash, BZ 540742.

* Mon Oct 12 2009 Jon Ciesla <limb@jcomserv.net> - 2.5.2-1
- Update to 2.5.2, BZ 528356.
- Derive icon from .xpm instead of .ico to satisfy new ImageMagick.

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed May 27 2009 Ville Skyttä <ville.skytta at iki.fi> - 2.5.1-2
- Disable parallel build (#502271).

* Fri May 22 2009 Ville Skyttä <ville.skytta at iki.fi> - 2.5.1-1
- Update to 2.5.1.
- Split darkplaces base packages, add Quake 1 support and subpackages.
- Bring icon cache update scriptlets up to date with current guidelines.
- Use nexuiz icons for nexuiz instead of darkplaces ones.
- Drop unnecessary desktop database refresh scriptlets.
- Split nexuiz menu entry into a separate file.
- Use parallel build.

* Mon Apr 06 2009 Jon Ciesla <limb@jcomserv.net> - 2.5-1
- New upstream release.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 20 2009 Jon Ciesla <limb@jcomserv.net> - 2.4.2-4
- Rebuild to fix odd icon issue, BZ 480686.

* Tue Sep 02 2008 Jon Ciesla <limb@jcomserv.net> - 2.4.2-3
- Fix .desktop category, BZ 460785.

* Mon Jul 07 2008 Jon Ciesla <limb@jcomserv.net> - 2.4.2-2
- Fix debuginfo, BZ 454141.

* Mon May 19 2008 Jon Ciesla <limb@jcomserv.net> - 2.4.2-1
- New upstream release.

* Tue Apr 29 2008 Jon Ciesla <limb@jcomserv.net> - 2.4-1
- New upstream release.
- Dropped nostrip patch.
- Added libXpm-devel BR.

* Fri Feb 08 2008 Jon Ciesla <limb@jcomserv.net> - 2.3-4
- GCC 4.3 rebuild.

* Wed Oct 24 2007 Jon Ciesla <limb@jcomserv.net> - 2.3-3
- Add support for opengl-games-utils.
- Dropped X-Fedora from .desktop install.

* Tue Aug 21 2007 Jon Ciesla <limb@jcomserv.net> - 2.3-2
- License tag correction.
- Rebuild for f8.

* Tue Jun 19 2007 Jon Ciesla <limb@jcomserv.net> - 2.3-1
- Updated to 2.3

* Thu Mar 01 2007 Adrian Reber <adrian@lisas.de> - 2.2.3-1
- updated to 2.2.3

* Mon Dec 18 2006 Adrian Reber <adrian@lisas.de> - 2.2.1-1
- updated to 2.2.1 (#220034)
- fix for CVE-2006-6609, CVE-2006-6610

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 2.1-2
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Sun Sep 24 2006 Adrian Reber <adrian@lisas.de> - 2.1-1
- updated to 2.1
- removed basedir patch; now using a environment variable

* Mon Sep 18 2006 Adrian Reber <adrian@lisas.de> - 2.0-3
- rebuilt

* Mon Jun 26 2006 Adrian Reber <adrian@lisas.de> - 2.0-2
- it looks like upstream changed the sources without increasing
  the version but now it works like it is supposed to
- added curl to the requires because the binaries are looking for it

* Sat Jun 17 2006 Adrian Reber <adrian@lisas.de> - 2.0-1
- updated to 2.0 (#195612)
- the binary has once again be renamed from darkplaces* to nexuiz*
- the desktop file now launches the sdl binary

* Sun Mar 19 2006 Adrian Reber <adrian@lisas.de> - 1.5-3
- rebuilt

* Sun Mar 19 2006 Adrian Reber <adrian@lisas.de> - 1.5-2
- rebuilt

* Wed Mar 16 2006 Adrian Reber <adrian@lisas.de> - 1.5-1
- updated to 1.5
- enabled sdl binary

* Wed Nov 30 2005 Adrian Reber <adrian@lisas.de> - 1.2.1-3
- changes for modular X

* Wed Nov 30 2005 Adrian Reber <adrian@lisas.de> - 1.2.1-2
- changed requires to make it work on 64 bit platforms
  (thanks thl)

* Mon Sep 19 2005 Adrian Reber <adrian@lisas.de> - 1.2.1-1
- updated to 1.2.1
- icons and binaries are now being renamed from darkplaces* to nexuiz*

* Fri Sep 02 2005 Adrian Reber <adrian@lisas.de> - 1.2-2
- another try without smp_mflags

* Fri Sep 02 2005 Adrian Reber <adrian@lisas.de> - 1.2-1
- updated to 1.2

* Tue Aug 16 2005 Adrian Reber <adrian@lisas.de> - 1.1-2
- support building on RHEL4 (#165522)

* Sat Jul 09 2005 Adrian Reber <adrian@lisas.de> - 1.1-1
- added gtk-update-icon-cache to %%post and %%postun
- added desktop-file-utils as Requires({post,postun})

* Fri Jul  8 2005 Matthias Saou <http://freshrpms.net/> 1.1-0
- Update to 1.1.
- Split off the huge data, unfortunately requires using custom sources.
- Major spec file changes.

* Thu Jun 09 2005 Adrian Reber <adrian@lisas.de> - 1.0-2
- comments concerning the requires added
- better(???) descriptions

* Thu Jun 09 2005 Adrian Reber <adrian@lisas.de> - 1.0-1
- initial version
